Subject: [dispatch] Text media handling in RTP based real-time conferences

From: Arnoud van Wijk <[email-masked]>
Date: Wed, 08 Jun 2011 09:59:35 +0200

Hi everybody,

Since this draft was submitted in March ago, I like to ask DISPATCH if 
the AVTCORE WG is the best WG for it.
I think so, since this does handle media handling in conferences.
We have edited this draft based on the discussions in AVT core in march 
about SSRC multiplexing.

It is very important that when using RTT streams in a multiparty call 
that it will work with all SIP based call control environments.
I feel that we need together with AVT to work out the details to ensure 
that this remains possible.

Several solutions are currently being implemented in RTT systems by 
several companies and the longer we wait..the harder it gets to ensure 
the best implementation to be used.

So, this is quite important for real-world cases.

I am looking forward to your feedback as always.

sincerely

Arnoud van Wijk

> A New Internet-Draft is available from the on-line Internet-Drafts directories.
>
> 	Title           : Text media handling in RTP based real-time conferences
> 	Author(s)       : G. Hellstrom, A. Wijk
> 	Filename        : draft-hellstrom-text-conference-04.txt
> 	Pages           : 9
> 	Date            : 2011-03-14
>
> This memo specifies methods for text media handling in multi-party
> calls, where the text is carried by the RTP protocol.  Real-time text
> is carried in a time-sampled mode according to RFC 4103.  Centralized
> multi-party handling of real-time text is achieved through a media
> control unit coordinating multiple RTP text streams into one single
> stream RTP session, identifying each stream with its own CSRC.
> Identification for the streams are provided through the RTCP
> messages.  This mechanism enables the receiving application to
> present the received real-time text medium in different ways
> according to user preferences.  Some presentation related features
> are also described explaining suitable variations of transmission and
> presentation of text.  Call control features are described for the
> SIP environment, while the transport mechanisms should be suitable
> for any IP based call control environment using RTP transport.  Two
> alternative methods using a single RTP stream and source
> identification inline in the text stream are also described.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-hellstrom-text-conference-04.txt
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
>
> <ftp://ftp.ietf.org/internet-drafts/draft-hellstrom-text-conference-04.txt>
>

---

From: Arnoud van Wijk <[email-masked]>
Date: Tue, 21 Jun 2011 11:32:30 +0200

I want to add an additional comment why this draft is important and why 
we need this work as a separate draft despite that media handling in RTP 
conferences should not matter using text, video or audio.

This draft is actually a BCP. It specifies the recommended procedures to 
follow in implementations among the enormous amount of available 
options. We have encountered the confusion many times where implementers 
are scratching behind their ears and ask what is the best way?
By publishing this BCP we increase the likelihood of interoperability of 
different solutions in a significant way, and that is an enormously 
important task for us as IETF.

Sincerely,

Arnoud van Wijk

On 08-06-11 09:59, Arnoud van Wijk wrote:
> We have edited this draft based on the discussions in AVT core in 
> march about SSRC multiplexing.
>
> I feel that we need together with AVT to work out the details to 
> ensure that this remains possible.
>
> _______________________________________________
> dispatch mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dispatch

---

From: Arnoud van Wijk <[email-masked]>
Date: Tue, 21 Jun 2011 11:43:35 +0200

Some more explanation why this draft is valuable:
The use of RTT in combination with en-bloc systems (Instant Messaging) 
and multiple RTT users is a new territory for most of us at the IETF.
This draft is a actually a BCP specifying the recommended procedures to 
follow in implementations among the enormous amount of available 
options. In this way we want to prevent that many implementers are 
unsure or getting confused on *what is the best way* to add RTT to the 
clients/system interfaces and how to present it to the user.

That is why this draft contains new material on the presentation level. 
In most IETF publications the presentation level is seldom described, 
but in this case very positive comments have been made about that this 
draft deals with that important level.  It is also important for the end 
- to - end interoperability to describe the possible presentations.

I hope that this does clarify why we have this draft so that we can 
ensure good working interoperable systems with RTT included.

Sincerely

Arnoud van Wijk

On 26-05-11 12:58, Arnoud van Wijk wrote:
> Hi all,
> This draft is about Real-Time Text (RTT) presented in real-time and as 
> well in en-bloc mode.
> This is an ideal combination of both methods.
> You will see the text as it is being typed on a character by character 
> mode, but after hitting send or enter, the text will then appear 
> en-bloc. So the users can immediately follow the RTT part while the 
> sender is typing it or wait till it is show as en-bloc or use as a 
> combination depending on the intensity of the conversation.
> We are also describing how multiple users simultaneously talking via 
> RTT can be presented to the users.
> That part is relevant for the draft 
> http://www.ietf.org/id/draft-hellstrom-text-conference-04.txt
>
> We feel that this document is quite valuable, since we are getting a 
> lot of questions by people on this area.
> We would like to work with DISPATCH on how to proceed with this draft 
> and the text-conference draft.
>
> I am looking forward to your advice and comments. And also which 
> working group is the best "home" for both drafts.
>
> Sincerely
>
> Arnoud
>
>
>>     Title           : Presentation of Text Conversation in real-time 
>> and en-bloc form
>>     Author(s)       : Gunnar Hellstrom
>>                            Arnoud van Wijk
>>                            Gregg C. Vanderheiden
>>                            Norman Williams
>>     Filename        : draft-hellstrom-textpreview-08.txt
>>     Pages           : 18
>>     Date            : 2011-05-25
>>
>>     This specification defines methods for presentation of a text
>>     conversation with focus on the real-time features.  The aim is to
>>     give the participants in a conversation a good opportunity to
>>     perceive the real-time flow of the conversation and also provide a
>>     display of the history of the conversation that makes it easy to
>>     read.  Both two-party and multi-party situations are defined.
>>
>>
>> http://www.ietf.org/internet-drafts/draft-hellstrom-textpreview-08.txt
>>
>> This Internet-Draft can be retrieved at:
>> ftp://ftp.ietf.org/internet-drafts/draft-hellstrom-textpreview-08.txt